﻿form label {
    margin-bottom: 0;
}

    form label[for] {
        cursor: pointer;
    }

input.input-validation-error {
    margin-top: 4px;
}

input:not(.input-validation-error) {
    margin-top: 4px;
}

.custom-checkbox input.input-validation-error ~ label:before {
    border: 1px solid #d82630 !important;
}

.field-validation-error {
    font-size: 14px !important;
    font-weight: 700;
    color: #d82630; /*SlayIt Red*/
}

    .field-validation-error::before {
        font-family: 'FontAwesome';
        content: "\f06a";
        margin-right: 6px;
    }

.validation-summary-errors ul li,
.validation-summary-errors ul li a,
.validation-summary-errors ul li span {
    font-size: 14px !important;
    font-weight: 700;
    color: #d82630; /*SlayIt Red*/
}

    .validation-summary-errors ul li:before {
        font-family: 'FontAwesome';
        content: "\f06a";
        margin-right: 6px;
    }

.custom-checkbox {
    position: relative;
    margin-bottom: 8px;
    text-align: left
}

    .custom-checkbox.custom-checkbox-inline {
        display: inline-block
    }

    .custom-checkbox label {
        font-weight: 400;
        cursor: pointer;
        display: inline;
        padding: 9.5px;
        padding-left: 39px;
        padding-right: 16px;
        display: block;
        position: relative
    }

        .custom-checkbox label:before, .custom-checkbox label:after {
            content: "";
            position: absolute;
            left: 0;
            top: 0
        }

        .custom-checkbox label:before {
            margin-top: 12.5px;
            margin-left: 12px;
            border: 2px solid #61656e;
            height: 18px;
            width: 18px;
            background-color: transparent;
            cursor: pointer;
            transition: background .3s
        }

        .custom-checkbox label:after {
            transform: rotate(-45deg);
            top: 4.7px;
            width: 10px;
            height: 5px;
            top: 15.5px;
            left: 15px;
            width: 12px;
            height: 6px;
        }

    .custom-checkbox input[type=hidden] {
        margin-top: 0;
        padding-top: 0;
        display: none
    }

    .custom-checkbox input[type=checkbox] {
        position: absolute;
        left: -99996px;
        top: 14px;
        margin-right: 0;
        margin: 0;
        outline: none !important;
        /* for JQuery validation, checkbox needs width & height > 0 */
        width: 1px !important;
        height: 1px !important;
    }

        .custom-checkbox input[type=checkbox]:checked ~ label:after {
            margin-top: 12px;
        }

        .custom-checkbox input[type=checkbox] ~ .custom-checkbox-highlight {
            display: block;
            transform: scale(0);
            position: absolute;
            transition: transform ease-in-out .3s,background-color ease-in-out .3s;
            background-color: #f2f3f6;
            border-radius: 50%;
            width: 36px;
            height: 36px;
            outline: none;
            left: 3px;
            margin-left: 0;
            top: 5px
        }

        .custom-checkbox input[type=checkbox]:hover:not(:disabled) ~ .custom-checkbox-highlight {
            animation: rippleOnOff .6s
        }

        .custom-checkbox input[type=checkbox]:checked ~ .custom-checkbox-highlight {
            background-color: #92cbfa
        }

        .custom-checkbox input[type=checkbox]:checked ~ label {
            border-color: #0973cc
        }

            .custom-checkbox input[type=checkbox]:checked ~ label:before {
                background: #0973cc;
                border: none;
                animation: ripple .2s linear forwards
            }

            .custom-checkbox input[type=checkbox]:checked ~ label:after {
                border: 2px solid #fff;
                border-top-style: none;
                border-right-style: none
            }

        .custom-checkbox input[type=checkbox]:disabled ~ label {
            color: #6e7481;
            cursor: not-allowed
        }

            .custom-checkbox input[type=checkbox]:disabled ~ label:before {
                border-color: #6e7481;
                cursor: not-allowed
            }

        .custom-checkbox input[type=checkbox]:disabled:checked ~ label:before {
            background: #6e7481;
            cursor: not-allowed
        }

        .custom-checkbox input[type=checkbox]:disabled:hover ~ .custom-checkbox-highlight {
            transform: scale(0);
            animation: none
        }

@media(min-width:992px) {
    .custom-checkbox {
        margin-bottom: 0
    }

        .custom-checkbox.custom-checkbox input[type=checkbox]:hover:not(:disabled) ~ .custom-checkbox-highlight {
            transform: scale(1);
            animation: none
        }

        .custom-checkbox.custom-checkbox input[type=checkbox] ~ label {
            position: relative;
            display: inline-block;
            border: none;
            margin-bottom: 0;
            padding-top: 10.5px;
            padding-bottom: 10.5px
        }

            .custom-checkbox.custom-checkbox input[type=checkbox] ~ label:before {
                margin-top: 14px
            }

            .custom-checkbox.custom-checkbox input[type=checkbox] ~ label:after {
                top: 15.5px;
                width: 12px;
                height: 6px;
                margin-top: 2.5px
            }
}

.custom-radio {
    margin-bottom: 8px;
    position: relative
}

    .custom-radio.rb-ml {
        margin-left: 1em
    }

    .custom-radio.custom-radio-inline {
        display: inline-block
    }

    .custom-radio input[type=radio] {
        position: absolute;
        left: -99996px;
        top: 14px;
        margin-right: 0;
        margin: 0;
        outline: none !important
    }

        .custom-radio input[type=radio] ~ .custom-radio-highlight {
            transform: scale(0);
            position: absolute;
            content: "";
            transition: transform ease-in-out .3s,background-color ease-in-out .3s;
            background-color: #f2f3f6;
            border-radius: 50%;
            width: 36px;
            height: 36px;
            left: 4px;
            margin-left: 0;
            top: 4.5px
        }

        .custom-radio input[type=radio]:hover:not(:disabled) ~ .custom-radio-highlight {
            animation: rippleOnOff .6s;
            transition: none
        }

        .custom-radio input[type=radio]:checked ~ .custom-radio-highlight {
            background-color: #92cbfa
        }

        .custom-radio input[type=radio]:checked ~ label {
            border-color: #0973cc
        }

            .custom-radio input[type=radio]:checked ~ label:before {
                border-color: #0973cc
            }

            .custom-radio input[type=radio]:checked ~ label:after {
                background-color: #0973cc;
                transform: scale(1)
            }

        .custom-radio input[type=radio]:disabled:checked ~ label, .custom-radio input[type=radio]:disabled ~ label:before, .custom-radio input[type=radio]:disabled ~ label, .custom-radio input[type=radio]:disabled ~ label:before {
            cursor: not-allowed;
            border-color: #6e7481;
            color: #6e7481
        }

            .custom-radio input[type=radio]:disabled:checked ~ label:after {
                background: #6e7481
            }

        .custom-radio input[type=radio]:disabled:hover ~ .custom-radio-highlight {
            transform: scale(0);
            animation: none
        }

    .custom-radio label {
        font-weight: 400;
        margin-bottom: 0;
        cursor: pointer;
        vertical-align: bottom;
        border-radius: 3px;
        border: solid 1px #eaecf0;
        padding: 9.5px;
        padding-left: 40px;
        padding-right: 16px;
        display: block;
        position: relative
    }

        .custom-radio label:before, .custom-radio label:after {
            position: absolute;
            content: '';
            border-radius: 50%;
            transition: all .3s ease;
            transition-property: transform,border-color;
            margin-top: 0
        }

        .custom-radio label:before {
            width: 20px;
            height: 20px;
            border: 2px solid #61656e;
            top: 12.5px;
            left: 12px;
            background-color: transparent;
            display: block
        }

        .custom-radio label:after {
            top: 17.5px;
            left: 17px;
            width: 10px;
            height: 10px;
            transform: scale(0);
            background: #0973cc
        }

@media(min-width:992px) {
    .custom-radio {
        margin-bottom: 0
    }

        .custom-radio input[type=radio] {
            margin-bottom: 0
        }

            .custom-radio input[type=radio]:hover:not(:disabled) ~ .custom-radio-highlight {
                transform: scale(1);
                animation: none;
                transition: transform ease-in-out .3s,background-color ease-in-out .3s
            }

            .custom-radio input[type=radio] ~ label {
                border: none;
                display: inline-block
            }

                .custom-radio input[type=radio] ~ label:after {
                    top: 18px;
                    left: 17.5px;
                    width: 9px;
                    height: 9px
                }
}

@keyframes rippleOnOff {
    0%,40% {
        transform: scale(1)
    }

    100% {
        transform: scale(0)
    }
}
